<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="style.css">
    <title>Dog inventary</title>
</head>
<div id="knockout-app" class="card">
    <header>
        Good dog walks inc.
    </header>
    <div class="card-section">
        <h2>Toy inventory</h2>
        <p data-bind="visible: inventory().length > 0">Thes are the assets we have to work with.</p>
        <p data-bind="visible: inventory().length === 0"> You don't have any toys yet</p>

        <button data-bind="click: addItem, enable: inventory().length < 3">+ Add toy</button>
        <ul class="counter-ui-container" data-bind="foreach: inventory">
            <li>
                <span>
                    <span data-bind="class: $data.icon"></span>
                    <span data-bind="text: $data.text"></span>
                </span>
                <span>
                    <button data-bind="click: $parent.removeItem,
                    attr: { 'item-index': $index }">
                    &times;</button>
                </span>
            </li>
        </ul>
    </div>
    <footer>
        <span>Have a tail wagging day!</span>
    </footer>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/knockout/3.5.0/knockout-min.js"></script>
<script src="viewModel.js"></script>

</html>